package dev.inmo.postssystem.services.posts.client

import dev.inmo.micro_utils.ktor.client.UnifiedRequester
import dev.inmo.postssystem.services.posts.common.*

class ClientPostsService(
    baseUrl: String,
    unifiedRequester: UnifiedRequester
) : PostsService,
    ReadPostsService by ClientReadPostsService(baseUrl, unifiedRequester),
    WritePostsService by ClientWritePostsService(baseUrl, unifiedRequester)
